<header>
    <div class="row w-100">
      <div class='col-3'>
      <h1
        class="mainhead"
        (click)="routerNavigation.idiNaProdavnicu()"
      >
        МАТ<span id="ffire">Ф</span>ЕТЕРИЈА КЊИЖАРА
      </h1>
    </div>
    <div class="col-6">
      <div class="row">
        <div class="col-12">
          <div class="search-container">
          <input #search
            class="search-box"
            name="books-search"
            type="text"
            placeholder="Претражи књиге"
            (click)="getBooks()"
            (keyup)="searchBooks($event)"
          />
          <i class="fa fa-search"></i>
        </div>
        </div>
        <div class="col-12">
          <div class="row " id="booksSearchContainer" *ngIf="showSearch">
            <div class="col-12">
            <p *ngIf="showEmptySearch">Није пронађена ниједна књига</p>
          </div>
  
            <div
              class="col-12 book-container"
              *ngFor="let book of foundBooks"
              (click)="routerNavigation.idiNaKnjigu(book._id)"
            >
              <div class="row">
              <div class="col-3">
              <img [src]="book.image" class="bookImage" *ngIf="book.image"/>
              <img src="../../assets/no-image-book.png" class="bookImage" *ngIf="!book.image"/>
              </div>
              <div class="col-9">
                <p>{{book.name}}</p>
              <p *ngIf="book.subject">{{book.subject}}</p>
              </div>
            </div>
            </div>
          </div>
          </div>
        </div>
    </div>
    <div class='col-3'>
      <div class="row" id="store-nav">
        <div class="col-4">
          <a (click)="routerNavigation.idiNaKorpu()">Иди на корпу</a>
        </div>
        <div class="col-4">
          <a #options (click)="triggerMyBookstoreOptions()">Моја књижара</a>
        </div>
        <div class="my-bookstore-options">
          <div [ngClass]="{show: showMyBookstoreOptions, hide: !showMyBookstoreOptions}">
            <a (click)="routerNavigation.idiNaMojePorudzbine()">Претходне поруџбине</a>
            <a (click)="routerNavigation.idiNaDodajBeleske()">Додај белешке</a>
            <a (click)="routerNavigation.idiNaMojeBeleske()">Моје белешке</a>
          </div>
        </div>
        <div class="col-4">
          <a (click)="routerNavigation.idiNaPocetnuStranu()"> Назад на Матфетерију</a>
        </div>
      </div>
    </div>
    </div>
  </header>